Package classycle.renderer

# Class XMLStrongComponentRenderer

java.lang.Object
classycle.renderer.AbstractStrongComponentRenderer
classycle.renderer.XMLStrongComponentRenderer

All Implemented Interfaces:
  `StrongComponentRenderer`

Direct Known Subclasses:
  `XMLPackageStrongComponentRenderer`

public class XMLStrongComponentRenderer extends AbstractStrongComponentRenderer
XML renderer of a `StrongComponent`.

Author:
  Franz-Josef Elmer

## Constructor Summary

Constructors
Constructor
Description
`XMLStrongComponentRenderer(int minimumSize)`
Creates an instance for the specified minimum number vertices.

## Method Summary

Modifier and Type
Method
Description
`protected String`
`getBestFragmentersElementName()`
`protected String`
`getCenterNodesElementName()`
`protected String`
`getNodeElementName()`
`protected String`
`getNodesElementName()`
`protected String`
`getStrongComponentElementName()`
`String`
`render(StrongComponent component)`
Renderes the specified `StrongComponent`.

### Methods inherited from class classycle.renderer.AbstractStrongComponentRenderer

`createName`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### XMLStrongComponentRenderer

public XMLStrongComponentRenderer(int minimumSize)
Creates an instance for the specified minimum number vertices.

Parameters:
  `minimumSize` - Minimum number of vertices the `StrongComponent` should have to be rendered.

## Method Details

### getStrongComponentElementName

protected String getStrongComponentElementName()

### getNodesElementName

protected String getNodesElementName()

### getNodeElementName

protected String getNodeElementName()

### getCenterNodesElementName

protected String getCenterNodesElementName()

### getBestFragmentersElementName

protected String getBestFragmentersElementName()

### render

public String render(StrongComponent component)
Description copied from interface: `StrongComponentRenderer`
Renderes the specified `StrongComponent`.